ClaroRead 7 and later work great with Adobe Acrobat Reader DC. Acrobat Reader DC is the new name for Adobe Reader (so the last version of Adobe Reader was Adobe Reader XI or 11).

ClaroRead 6 and earlier do not have speech with highlighting. You can update ClaroRead to version 7 through ClaroRead Cloud or by using this simple patch. Just download, then run it – you will need to be an administrator – and it will simply update ClaroRead for Acrobat Reader DC support.